Issue1831

classification
Title: jython launcher builds bad path
Type: behaviour Severity: normal
Components: Installer Versions: Jython 2.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: fwierzbicki, slestak
Priority: normal Keywords:

Created on 2012-01-19.19:19:30 by slestak, last changed 2013-02-26.22:15:15 by fwierzbicki.

Files
File name Uploaded Description Edit Remove
unnamed slestak, 2013-02-25.19:55:58
Messages
msg6758 (view) Author: Steve Romanow (slestak) Date: 2012-01-19.19:19:30
The /usr/local/bin/jython bash script has a while loop at line 36 that build var $PRG.  This logic resolved to a nonexistent file on my system and reports an expr syntax error on my system.

The $PRG is builds is /usr/local/bin//opt/jython/jython
msg6759 (view) Author: Steve Romanow (slestak) Date: 2012-01-19.19:35:43
i can demonstrate this for any dev that wants to work on it.
msg7745 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2013-02-25.19:47:16
Sorry for the slow response, but could you give more details? A how to reproduce would help a lot.
msg7746 (view) Author: Steve Romanow (slestak) Date: 2013-02-25.19:55:58
I no longer have access to that server.  I'm sorry.  It was an Aix 5.3 box
with java 1.4 from IBM, bash from perzl.org, and jython 2.5, iirc.

On Mon, Feb 25, 2013 at 2:47 PM, Frank Wierzbicki <report@bugs.jython.org>wrote:

>
> Frank Wierzbicki added the comment:
>
> Sorry for the slow response, but could you give more details? A how to
> reproduce would help a lot.
>
> ----------
> assignee:  -> fwierzbicki
> nosy: +fwierzbicki
> priority:  -> normal
> versions: +Jython 2.5 -2.5.2
>
> _______________________________________
> Jython tracker <report@bugs.jython.org>
> <http://bugs.jython.org/issue1831>
> _______________________________________
>
msg7820 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2013-02-26.22:15:15
OK, closing - sorry this got dropped. If another AIX user runs into it maybe they will report it.
History
Date User Action Args
2013-02-26 22:15:15fwierzbickisetstatus: open -> closed
resolution: out of date
messages: + msg7820
2013-02-25 19:55:58slestaksetfiles: + unnamed
messages: + msg7746
2013-02-25 19:47:16fwierzbickisetpriority: normal
assignee: fwierzbicki
versions: + Jython 2.5, - 2.5.2
messages: + msg7745
nosy: + fwierzbicki
2012-01-19 19:35:44slestaksetmessages: + msg6759
2012-01-19 19:19:30slestakcreate